
/* Cookie consent  banner */

#cookieConsentBanner {
  position: fixed;
  bottom: 40px;
  left: 10%;
  right: 10%;
  width: 80%;
  padding: 5px 14px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #eee;
  border-radius: 5px;
  box-shadow: 0 0 2px 1px rgba(0, 0, 0, 0.2);
  z-index: 9999;
}

#grantCookieConsent {
  background-color: #777;
  border: none;
  color: white;
  border-radius: 2px;
  cursor: pointer;
  padding:5px;
}

code {
  font-family: 'Source Sans Pro', monospace, sans-serif;
}
.highlight-wrapper pre {
  overflow-x: auto;
  margin: 1.5em 0 3em;
  padding: 20px;
  max-width: 100%;
  border: 1px solid #000;
  color: #e5eff5;
  font-size: 14px;
  line-height: 1.5em; 
  border-radius: 5px;
  text-align: start;
}

.highlight-wrapper {
  display: block;
  width: -webkit-fill-available;
  margin: 0 0 1em 0;
  margin-block-start: 3em;
  margin-block-end: 0;
  min-width: 2.5em;
  border: 0;
}

.highlight {
  position: relative;
  z-index: 0;
  padding: 0;
  margin: 0;
}

.highlight > .chroma {
  position: static;
  z-index: 1;
}
.blog-text > p > code, .blog-text > ul > li > code, .blog-text > ol > li > code {
  background-color: #cccccc;
  color: var(--accent-color1);
  margin: 0;
  padding: 2px 4px;
  background: #f9f9f9;
  border: 1px solid #eee;
}

.table.lntable {
  display: none;
}

.hugo-debug-banner {
  position: absolute;
  z-index: 2;
  /* right: 0; */
  top: 0;
  font-size: 11px;
  /* font-weight: 700; */
  line-height: 14px;
  letter-spacing: 0.5px;
  color: cornsilk;
  background-color: #7f7f7f;
  border: 1.25px solid #232326;
  border-radius: 4px;
  white-space: nowrap;
  padding: 4px 4px 5px 4px;
  margin: 0 0 0 1px;
  cursor: pointer;
  opacity: 0.8;
}

.copy-code-button {
  position: absolute;
  z-index: 2;
  right: 0;
  top: 0;
  font-size: 14px;
  font-weight: 700;
  line-height: 14px;
  letter-spacing: 0.5px;
  width: 60px;
  color: #232326;
  background-color: #7f7f7f;
  border: 1.25px solid #232326;
  border-radius: 4px;
  white-space: nowrap;
  padding: 4px 4px 5px 4px;
  margin: 0 0 0 1px;
  cursor: pointer;
  opacity: 0.6;
}

.copy-code-button:hover,
.copy-code-button:focus,
.copy-code-button:active,
.copy-code-button:active:hover {
  background-color: #b3b3b3;
  opacity: 0.8;
}

.copyable-text-area {
  position: absolute;
  height: 0;
  z-index: -1;
  opacity: .01;
}

pre.chroma code {  
  margin-top: -28px;
  padding-top: 40px;
  padding-bottom: 12px;
}


.chroma {
  color: #d0d0d0;
}

.chroma [data-lang]:before {
  position: absolute;
  z-index: 0;
  top: -25px;
  left: 0px;
  content: attr(data-lang);
  font-size: 1.1em;
  color: var(--lang-name);
  background-color: #272822;
  color: var(--accent-color1);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  padding: 5px 10px 7px;
  line-height: 1.2;
}

table.lntable tr {
  background: #85816f;
}

table.lntable td {
  margin: 0;
  padding: .75em 0;
  border: none;
}

table.lntable td.lntd {
  border-left: 1px solid #85816f;
  background: #272822;
}

table.lntable td.lntd:first-child {
  width: 2.0em;
  min-width: 2.0em;
  background-color: #56544f;
}

table.lntable td.lntd:first-child .chroma {
  background-color: transparent;
  text-align: right;
  border: none;
  padding-left: .4em;
  padding-right: .1em;
  color: rgb(136, 136, 136);
}

table.lntable td.lntd .chroma {
  background-color: transparent;
  border: none;
}